﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication255.ViewModel
{
   public  class Person:INotifyPropertyChanged
    {
       string name = string.Empty;
       public string Name
       {
           get { return name; }
           set { name = value;
           NotifyPropertyChanged("Name");
           }
       }

       private void NotifyPropertyChanged(String info)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(info));
           }
       }
       

       public event PropertyChangedEventHandler PropertyChanged;
    }
}
